eth_getTransactionReceipt

Network: Arbitrum Sepolia · Testnet · Chain ID 421614 (0x66eee)

Counts as 1 request. See Request Counting.

Returns the receipt of a transaction by transaction hash. Receipts are not available for pending transactions.

Parameters

  1. DATA (32 bytes) — Hash of a transaction.

Returns

Object|null — A transaction receipt object, or null when no receipt was found.

FieldTypeDescription
transactionHashDATATransaction hash
blockHashDATABlock hash
blockNumberQUANTITYBlock number
fromDATASender address
toDATARecipient (null for contract creation)
contractAddressDATACreated contract address (null otherwise)
gasUsedQUANTITYGas used by this tx
cumulativeGasUsedQUANTITYTotal gas in block up to this tx
statusQUANTITY0x1 (success) or 0x0 (failure)
logsArrayLog objects generated by this tx

Request

{ "jsonrpc": "2.0", "method": "eth_getTransactionReceipt", "params": ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"], "id": 1 }

Code Examples

curl -X POST https://arbitrum-sepolia-rpc.blockreq.com/v1/rpc/public \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"eth_getTransactionReceipt","params":["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"],"id":1}'

Try It